Subject: Re: [RFC] net: ipv4: drop unicast encapsulated in L2 multicast

From: Hannes Frederic Sowa <[email-masked]>
Date: Wed, 27 Aug 2014 09:38:34 +0200

Hi Johannes,

On Do, 2014-08-21 at 19:32 +0200, Johannes Berg wrote:
> On Thu, 2014-08-21 at 19:22 +0200, Johannes Berg wrote:
> > From: Johannes Berg <[email-masked]>
> > 
> > RFC 1122 says that unicast packets encapsulated in broadcast
> > link-layer packets should be dropped. Implement that, but also
> > extend it to link-layer multicast packets.
> 
> I cannot find anything equivalent in the IPv6 RFCs - anyone more
> familiar with that who could help check for that?
> 
> And if it's *not* in the IPv6 RFCs, how should we implement this?

I haven't found anything, too. Should I bring this up with IETF?

Bye,
Hannes

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html